xine-lib: xine_stream_private_st Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_stream_private_st Struct Reference

`#include <xine_private.h>`

## Data Fields
xine_stream_t | s
int | status
uint32_t | video_thread_created:1
uint32_t | audio_thread_created:1
uint32_t | slave_is_subtitle:1
uint32_t | emergency_brake:1
uint32_t | early_finish_event:1
uint32_t | gapless_switch:1
uint32_t | keep_ao_driver_open:1
uint32_t | finished_naturally:1
input_class_t * | eject_class
pthread_t | video_thread
video_decoder_t * | video_decoder_plugin
extra_info_t * | video_decoder_extra_info
int | video_decoder_streamtype
int | video_channel
int | audio_track_map_entries
int | audio_decoder_streamtype
pthread_t | audio_thread
audio_decoder_t * | audio_decoder_plugin
extra_info_t * | audio_decoder_extra_info
uint32_t | audio_type
int | audio_channel_user
int | spu_track_map_entries
int | spu_channel_pan_scan
pthread_mutex_t | frontend_lock
struct xine_stream_private_st * | side_streams [4]
uint32_t | id_flag
int | id3v2_tag_size
pthread_mutex_t | info_lock
int | stream_info [XINE_STREAM_INFO_MAX]
pthread_mutex_t | meta_lock
char * | meta_info_public [XINE_STREAM_INFO_MAX]
char * | meta_info [XINE_STREAM_INFO_MAX]
struct { |
pthread_mutex_t lock |
pthread_cond_t reached |
uint32_t flag:2 |
} | first_frame |
struct { |
pthread_mutex_t lock |
pthread_cond_t changed |
int headers_audio |
int headers_video |
int finisheds_audio |
int finisheds_video |
int demuxers_running |
int nbc_refs |
xine_nbc_t * nbc |
} | counter |
struct { |
pthread_mutex_t lock |
xine_list_t * queues |
} | event |
struct { |
demux_plugin_t * plugin |
pthread_t thread |
pthread_mutex_t lock |
pthread_mutex_t action_lock |
pthread_cond_t resume |
pthread_mutex_t pair |
uint32_t action_pending |
uint32_t input_caps |
uint32_t thread_created:1 |
uint32_t thread_running:1 |
uint32_t max_seek_bufs |
uint32_t start_buffers_sent |
} | demux |
xine_refs_t | current_extra_info_index
extra_info_t | current_extra_info [2]
int | video_seek_count
int | delay_finish_event
int | slave_affection
int | err
xine_post_out_t | video_source
xine_post_out_t | audio_source
broadcaster_t * | broadcaster
xine_refs_t | refs
struct { |
pthread_mutex_t lock |
xine_keyframes_entry_t * array |
int size |
int used |
int lastadd |
} | index |
uint32_t | disable_decoder_flush_at_discontinuity
uint32_t | seekable
input_class_t * | query_input_plugins [2]
uint32_t | video_decoder_ei_index
uint8_t | video_decoder_ei_fast [256]
struct { |
int64_t pts |
extra_info_t ei |
} | ei [2+16] |

## Field Documentation

## ◆ action_lock

pthread_mutex_t xine_stream_private_st::action_lock

Referenced by _x_action_lower(), _x_action_pending(), _x_action_raise(), demux_loop(), xine_dispose_internal(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ action_pending

uint32_t xine_stream_private_st::action_pending

Referenced by _x_action_lower(), _x_action_pending(), _x_action_raise(), demux_loop(), and xine_stream_new().

## ◆ array

xine_keyframes_entry_t* xine_stream_private_st::array

Referenced by _x_keyframes_add(), _x_keyframes_set(), xine_dispose_internal(), xine_keyframes_find(), xine_keyframes_get(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ audio_channel_user

int xine_stream_private_st::audio_channel_user

Referenced by _x_audio_decoder_init(), audio_decoder_loop(), xine_get_param(), xine_set_param(), and xine_stream_new().

## ◆ audio_decoder_extra_info

extra_info_t* xine_stream_private_st::audio_decoder_extra_info

Referenced by ao_put_buffer(), audio_decoder_loop(), open_internal(), xine_get_pos_length(), xine_get_side_stream(), and xine_stream_new().

## ◆ audio_decoder_plugin

audio_decoder_t* xine_stream_private_st::audio_decoder_plugin

Referenced by audio_decoder_loop(), wait_first_frame(), xine_get_pos_length(), and xine_stream_new().

## ◆ audio_decoder_streamtype

int xine_stream_private_st::audio_decoder_streamtype

Referenced by audio_decoder_loop(), and xine_stream_new().

## ◆ audio_source

xine_post_out_t xine_stream_private_st::audio_source

Referenced by xine_get_audio_source(), and xine_stream_new().

## ◆ audio_thread

pthread_t xine_stream_private_st::audio_thread

Referenced by _x_audio_decoder_init(), and _x_audio_decoder_shutdown().

## ◆ audio_thread_created

uint32_t xine_stream_private_st::audio_thread_created

Referenced by _x_audio_decoder_init(), _x_audio_decoder_shutdown(), _x_demux_control_headers_done(), demux_loop(), and video_decoder_loop().

## ◆ audio_track_map_entries

int xine_stream_private_st::audio_track_map_entries

Referenced by _x_audio_decoder_init(), audio_decoder_loop(), close_internal(), xine_get_stream_info(), and xine_query_stream_info().

## ◆ audio_type

uint32_t xine_stream_private_st::audio_type

Referenced by _x_audio_decoder_init(), _x_get_audio_channel(), and audio_decoder_loop().

## ◆ broadcaster

broadcaster_t* xine_stream_private_st::broadcaster

Referenced by xine_dispose(), xine_get_param(), xine_set_param(), and xine_stream_new().

## ◆ changed

pthread_cond_t xine_stream_private_st::changed

Referenced by _x_demux_control_headers_done(), audio_decoder_loop(), demux_loop(), video_decoder_loop(), xine_dispose_internal(), and xine_stream_new().

## ◆ [struct]

struct { ... } xine_stream_private_st::counter

Referenced by _x_demux_control_headers_done(), audio_decoder_loop(), demux_loop(), video_decoder_loop(), xine_dispose_internal(), xine_nbc_close(), xine_nbc_event(), xine_nbc_init(), and xine_stream_new().

## ◆ current_extra_info

extra_info_t xine_stream_private_st::current_extra_info[2]

Referenced by open_internal(), xine_current_extra_info_get(), xine_current_extra_info_reset(), and xine_current_extra_info_set().

## ◆ current_extra_info_index

xine_refs_t xine_stream_private_st::current_extra_info_index

Referenced by xine_current_extra_info_get(), xine_current_extra_info_reset(), xine_current_extra_info_set(), xine_dispose_internal(), and xine_stream_new().

## ◆ delay_finish_event

int xine_stream_private_st::delay_finish_event

Referenced by demux_loop(), xine_get_param(), xine_set_param(), and xine_stream_new().

## ◆ [struct]

struct { ... } xine_stream_private_st::demux

Referenced by _get_audio_lang(), _get_spu_lang(), _x_action_lower(), _x_action_pending(), _x_action_raise(), _x_demux_called_from(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_demux_seek(), _x_demux_start_thread(), _x_demux_stop_thread(), _x_find_demux_plugin(), close_internal(), demux_loop(), demux_unstick_ao_loop(), open_internal(), play_internal(), stop_internal(), xine_dispose_internal(), xine_get_next_audio_frame(), xine_get_next_video_frame(), xine_get_pos_length(), xine_get_stream_info(), xine_query_stream_info(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ demuxers_running

int xine_stream_private_st::demuxers_running

Referenced by demux_loop(), and xine_stream_new().

## ◆ disable_decoder_flush_at_discontinuity

uint32_t xine_stream_private_st::disable_decoder_flush_at_discontinuity

Referenced by video_decoder_loop(), video_decoder_update_disable_flush_at_discontinuity(), xine_get_side_stream(), and xine_stream_new().

## ◆ early_finish_event

uint32_t xine_stream_private_st::early_finish_event

Referenced by audio_decoder_loop(), video_decoder_loop(), xine_get_param(), xine_set_param(), and xine_stream_new().

## ◆ ei [1/2]

extra_info_t xine_stream_private_st::ei

Referenced by vo_set_img_ei(), and xine_stream_new().

## ◆ [struct] [2/2]

struct { ... } xine_stream_private_st::ei[2 + 16 ]

## ◆ eject_class

input_class_t* xine_stream_private_st::eject_class

Referenced by open_internal().

## ◆ emergency_brake

uint32_t xine_stream_private_st::emergency_brake

Referenced by _x_demux_control_headers_done(), ao_loop(), ao_open(), demux_loop(), and xine_get_next_audio_frame().

## ◆ err

int xine_stream_private_st::err

Referenced by open_internal(), play_internal(), xine_get_error(), and xine_stream_new().

## ◆ [struct]

struct { ... } xine_stream_private_st::event

Referenced by _x_flush_events_queues(), xine_dispose_internal(), xine_event_dispose_queue(), xine_event_new_queue(), xine_get_side_stream(), and xine_stream_new().

## ◆ finished_naturally

uint32_t xine_stream_private_st::finished_naturally

Referenced by _x_demux_control_start(), _x_demux_flush_engine(), _x_handle_stream_end(), close_internal(), play_internal(), and xine_stream_new().

## ◆ finisheds_audio

int xine_stream_private_st::finisheds_audio

Referenced by audio_decoder_loop(), demux_loop(), video_decoder_loop(), and xine_stream_new().

## ◆ finisheds_video

int xine_stream_private_st::finisheds_video

Referenced by audio_decoder_loop(), demux_loop(), video_decoder_loop(), and xine_stream_new().

## ◆ [struct]

struct { ... } xine_stream_private_st::first_frame

Referenced by _x_demux_stop_thread(), _x_reset_relaxed_frame_drop_mode(), _x_trigger_relaxed_frame_drop_mode(), ao_loop(), ao_out_fifo_get(), ao_put_buffer(), demux_loop(), overlay_and_display_frame(), play_internal(), video_decoder_loop(), vo_frame_draw(), wait_first_frame(), xine_dispose_internal(), and xine_stream_new().

## ◆ flag

uint32_t xine_stream_private_st::flag

Referenced by _x_demux_stop_thread(), _x_reset_relaxed_frame_drop_mode(), _x_trigger_relaxed_frame_drop_mode(), ao_loop(), ao_out_fifo_get(), ao_put_buffer(), demux_loop(), overlay_and_display_frame(), play_internal(), video_decoder_loop(), vo_frame_draw(), and wait_first_frame().

## ◆ frontend_lock

pthread_mutex_t xine_stream_private_st::frontend_lock

Referenced by _x_demux_seek(), _x_lock_frontend(), _x_select_spu_channel(), _x_unlock_frontend(), xine_dispose_internal(), xine_get_audio_lang(), xine_get_pos_length(), xine_get_spu_lang(), xine_open(), xine_set_param(), and xine_stream_new().

## ◆ gapless_switch

uint32_t xine_stream_private_st::gapless_switch

Referenced by _x_demux_control_start(), _x_demux_flush_engine(), close_internal(), play_internal(), xine_get_param(), xine_set_param(), and xine_stream_new().

## ◆ headers_audio

int xine_stream_private_st::headers_audio

Referenced by _x_demux_control_headers_done(), audio_decoder_loop(), video_decoder_loop(), and xine_stream_new().

## ◆ headers_video

int xine_stream_private_st::headers_video

Referenced by _x_demux_control_headers_done(), audio_decoder_loop(), video_decoder_loop(), and xine_stream_new().

## ◆ id3v2_tag_size

int xine_stream_private_st::id3v2_tag_size

Referenced by _x_demux_read_stream_header(), close_internal(), xine_parse_id3v2_tag(), and xine_stream_new().

## ◆ id_flag

uint32_t xine_stream_private_st::id_flag

Referenced by _x_demux_control_start(), xine_get_side_stream(), and xine_stream_new().

## ◆ [struct]

struct { ... } xine_stream_private_st::index

Referenced by _x_keyframes_add(), _x_keyframes_set(), xine_dispose_internal(), xine_keyframes_find(), xine_keyframes_get(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ info_lock

pthread_mutex_t xine_stream_private_st::info_lock

Referenced by _x_stream_info_get(), _x_stream_info_get_public(), _x_stream_info_reset(), ao_open(), ao_put_buffer(), audio_decoder_loop(), close_internal(), nbc_compute_fifo_length(), play_internal(), video_decoder_loop(), xine_dispose_internal(), xine_get_pos_length(), xine_get_side_stream(), xine_query_stream_info(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ input_caps

uint32_t xine_stream_private_st::input_caps

Referenced by _x_find_demux_plugin(), demux_loop(), and xine_stream_new().

## ◆ keep_ao_driver_open

uint32_t xine_stream_private_st::keep_ao_driver_open

Referenced by audio_decoder_loop(), and xine_stream_new().

## ◆ lastadd

int xine_stream_private_st::lastadd

Referenced by _x_keyframes_add(), and _x_keyframes_set().

## ◆ lock

pthread_mutex_t xine_stream_private_st::lock

Referenced by _x_demux_control_headers_done(), _x_demux_start_thread(), _x_demux_stop_thread(), _x_flush_events_queues(), _x_keyframes_add(), _x_keyframes_set(), _x_reset_relaxed_frame_drop_mode(), _x_trigger_relaxed_frame_drop_mode(), ao_loop(), ao_out_fifo_get(), ao_put_buffer(), audio_decoder_loop(), demux_loop(), overlay_and_display_frame(), play_internal(), video_decoder_loop(), vo_frame_draw(), wait_first_frame(), xine_dispose_internal(), xine_event_dispose_queue(), xine_event_new_queue(), xine_keyframes_find(), xine_keyframes_get(), xine_nbc_close(), xine_nbc_event(), xine_nbc_init(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ max_seek_bufs

uint32_t xine_stream_private_st::max_seek_bufs

Referenced by _x_demux_control_newpts(), play_internal(), and xine_stream_new().

## ◆ meta_info

char* xine_stream_private_st::meta_info[XINE_STREAM_INFO_MAX]

Referenced by _meta_info_set_utf8(), _x_meta_info_get(), _x_meta_info_get_public(), _x_meta_info_public_reset(), _x_meta_info_set_multi(), close_internal(), xine_query_stream_info(), and xine_stream_new().

## ◆ meta_info_public

char* xine_stream_private_st::meta_info_public[XINE_STREAM_INFO_MAX]

Referenced by _meta_info_set_utf8(), _x_meta_info_get_public(), _x_meta_info_public_reset(), _x_meta_info_set_multi(), close_internal(), and xine_stream_new().

## ◆ meta_lock

pthread_mutex_t xine_stream_private_st::meta_lock

Referenced by _meta_info_set_utf8(), _x_meta_info_get(), _x_meta_info_get_public(), _x_meta_info_public_reset(), _x_meta_info_set_multi(), close_internal(), xine_dispose_internal(), and xine_stream_new().

## ◆ nbc

xine_nbc_t* xine_stream_private_st::nbc

Referenced by xine_nbc_close(), xine_nbc_event(), xine_nbc_init(), and xine_stream_new().

## ◆ nbc_refs

int xine_stream_private_st::nbc_refs

Referenced by xine_nbc_close(), xine_nbc_event(), xine_nbc_init(), and xine_stream_new().

## ◆ pair

pthread_mutex_t xine_stream_private_st::pair

Referenced by _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), play_internal(), xine_dispose_internal(), and xine_stream_new().

## ◆ plugin

demux_plugin_t* xine_stream_private_st::plugin

Referenced by _get_audio_lang(), _get_spu_lang(), _x_demux_seek(), close_internal(), demux_loop(), demux_unstick_ao_loop(), open_internal(), play_internal(), stop_internal(), xine_get_next_audio_frame(), xine_get_next_video_frame(), xine_get_pos_length(), xine_get_stream_info(), and xine_query_stream_info().

## ◆ pts

int64_t xine_stream_private_st::pts

## ◆ query_input_plugins

input_class_t* xine_stream_private_st::query_input_plugins[2]

Referenced by _x_find_input_plugin(), and xine_stream_new().

## ◆ queues

xine_list_t* xine_stream_private_st::queues

Referenced by _x_flush_events_queues(), xine_dispose_internal(), xine_event_dispose_queue(), xine_event_new_queue(), xine_get_side_stream(), and xine_stream_new().

## ◆ reached

pthread_cond_t xine_stream_private_st::reached

Referenced by _x_demux_stop_thread(), ao_loop(), ao_out_fifo_get(), ao_put_buffer(), demux_loop(), overlay_and_display_frame(), video_decoder_loop(), vo_frame_draw(), wait_first_frame(), xine_dispose_internal(), and xine_stream_new().

## ◆ refs

xine_refs_t xine_stream_private_st::refs

Referenced by _x_post_dispose(), _x_post_frame_copy_down(), _x_post_frame_copy_up(), _x_post_frame_u_turn(), ao_out_fifo_reref_append(), post_intercept_video_frame(), post_restore_video_frame(), post_video_close(), vo_display_reref_append(), vo_reref(), xine_dispose(), xine_event_dispose_queue(), xine_event_new_queue(), xine_exit(), xine_get_side_stream(), xine_nbc_close(), xine_nbc_init(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ resume

pthread_cond_t xine_stream_private_st::resume

Referenced by _x_action_lower(), demux_loop(), xine_dispose_internal(), xine_side_dispose_internal(), and xine_stream_new().

## ◆ s

xine_stream_t xine_stream_private_st::s

Referenced by _get_audio_lang(), _get_spu_lang(), _meta_info_set_encoding(), _x_audio_decoder_init(), _x_audio_decoder_shutdown(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_demux_start_thread(), _x_demux_stop_thread(), _x_find_input_plugin(), _x_flush_events_queues(), _x_get_current_frame_data(), _x_get_spu_channel(), _x_handle_stream_end(), _x_keyframes_add(), _x_keyframes_set(), _x_query_buffer_usage(), _x_query_buffers(), _x_query_unprocessed_osd_events(), _x_select_spu_channel(), _x_set_fine_speed(), _x_spu_decoder_sleep(), _x_video_decoder_init(), _x_video_decoder_shutdown(), ao_loop(), ao_open(), ao_put_buffer(), ao_streams_register(), ao_streams_unregister(), audio_decoder_loop(), close_internal(), demux_loop(), demux_unstick_ao_loop(), info_valid(), lock_run(), meta_valid(), open_internal(), play_internal(), send_audio_amp_event_internal(), set_speed_internal(), stop_internal(), stream_rewire_audio(), stream_rewire_video(), unlock_run(), video_decoder_loop(), vo_frame_draw(), vo_status(), vo_streams_register(), vo_streams_unregister(), xine_dispose(), xine_dispose_internal(), xine_event_dispose_queue(), xine_event_new_queue(), xine_event_send(), xine_exit(), xine_get_current_vpts(), xine_get_next_audio_frame(), xine_get_next_video_frame(), xine_get_param(), xine_get_pos_length(), xine_get_side_stream(), xine_get_stream_info(), xine_keyframes_find(), xine_keyframes_get(), xine_nbc_init(), xine_new_grab_video_frame(), xine_open(), xine_parse_id3v2_tag(), xine_query_stream_info(), xine_set_param(), xine_side_dispose_internal(), xine_stream_master_slave(), and xine_stream_new().

## ◆ seekable

uint32_t xine_stream_private_st::seekable

Referenced by play_internal(), and xine_stream_new().

## ◆ side_streams

struct xine_stream_private_st* xine_stream_private_st::side_streams[4]

Referenced by _x_audio_decoder_init(), _x_continue_stream_processing(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_demux_seek(), _x_demux_stop_thread(), _x_flush_events_queues(), _x_get_current_frame_data(), _x_get_current_info(), _x_get_spu_channel(), _x_get_video_streamtype(), _x_handle_stream_end(), _x_keyframes_add(), _x_keyframes_set(), _x_lock_frontend(), _x_meta_info_get(), _x_meta_info_get_public(), _x_meta_info_n_set(), _x_meta_info_public_reset(), _x_meta_info_reset(), _x_meta_info_set(), _x_meta_info_set_generic(), _x_meta_info_set_multi(), _x_meta_info_set_utf8(), _x_query_buffer_usage(), _x_query_buffers(), _x_query_unprocessed_osd_events(), _x_reset_relaxed_frame_drop_mode(), _x_select_spu_channel(), _x_set_fine_speed(), _x_stream_info_get(), _x_stream_info_get_public(), _x_stream_info_reset(), _x_stream_info_set(), _x_trigger_relaxed_frame_drop_mode(), _x_unlock_frontend(), _x_video_decoder_init(), ao_loop(), ao_open(), ao_out_fifo_get(), ao_put_buffer(), close_internal(), demux_loop(), next_frame(), open_internal(), overlay_and_display_frame(), play_internal(), stop_internal(), stream_rewire_audio(), stream_rewire_video(), video_decoder_loop(), video_decoder_update_disable_flush_at_discontinuity(), vo_frame_draw(), vo_set_img_ei(), xine_close(), xine_dispose(), xine_eject(), xine_event_dispose_queue(), xine_event_new_queue(), xine_event_send(), xine_get_error(), xine_get_pos_length(), xine_get_side_stream(), xine_get_status(), xine_keyframes_find(), xine_keyframes_get(), xine_nbc_event(), xine_nbc_init(), xine_new_grab_video_frame(), xine_open(), xine_play(), xine_query_stream_info(), xine_side_dispose_internal(), xine_stop(), and xine_stream_new().

## ◆ size

int xine_stream_private_st::size

Referenced by _x_keyframes_add(), and _x_keyframes_set().

## ◆ slave_affection

int xine_stream_private_st::slave_affection

Referenced by _x_set_fine_speed(), open_internal(), and xine_stream_master_slave().

## ◆ slave_is_subtitle

uint32_t xine_stream_private_st::slave_is_subtitle

Referenced by close_internal(), open_internal(), and xine_stream_new().

## ◆ spu_channel_pan_scan

int xine_stream_private_st::spu_channel_pan_scan

Referenced by video_decoder_loop(), and xine_stream_new().

## ◆ spu_track_map_entries

int xine_stream_private_st::spu_track_map_entries

Referenced by _x_video_decoder_init(), close_internal(), video_decoder_loop(), xine_get_stream_info(), and xine_query_stream_info().

## ◆ start_buffers_sent

uint32_t xine_stream_private_st::start_buffers_sent

Referenced by _x_demux_control_start(), stop_internal(), and xine_stream_new().

## ◆ status

int xine_stream_private_st::status

Referenced by _x_continue_stream_processing(), _x_handle_stream_end(), open_internal(), play_internal(), stop_internal(), xine_dispose(), xine_get_status(), and xine_stream_new().

## ◆ stream_info

int xine_stream_private_st::stream_info[XINE_STREAM_INFO_MAX]

Referenced by _x_stream_info_get(), _x_stream_info_get_public(), _x_stream_info_reset(), ao_open(), ao_put_buffer(), audio_decoder_loop(), close_internal(), nbc_compute_fifo_length(), video_decoder_loop(), xine_get_pos_length(), xine_query_stream_info(), and xine_stream_new().

## ◆ thread

pthread_t xine_stream_private_st::thread

Referenced by _x_demux_called_from(), _x_demux_start_thread(), and _x_demux_stop_thread().

## ◆ thread_created

uint32_t xine_stream_private_st::thread_created

Referenced by _x_demux_start_thread(), _x_demux_stop_thread(), stop_internal(), and xine_stream_new().

## ◆ thread_running

uint32_t xine_stream_private_st::thread_running

Referenced by _x_demux_called_from(), _x_demux_start_thread(), _x_demux_stop_thread(), demux_loop(), and xine_stream_new().

## ◆ used

int xine_stream_private_st::used

Referenced by _x_keyframes_add(), _x_keyframes_set(), xine_keyframes_find(), and xine_keyframes_get().

## ◆ video_channel

int xine_stream_private_st::video_channel

Referenced by xine_get_param(), xine_set_param(), and xine_stream_new().

## ◆ video_decoder_ei_fast

uint8_t xine_stream_private_st::video_decoder_ei_fast[256]

Referenced by vo_set_img_ei().

## ◆ video_decoder_ei_index

uint32_t xine_stream_private_st::video_decoder_ei_index

Referenced by vo_set_img_ei(), and xine_stream_new().

## ◆ video_decoder_extra_info

extra_info_t* xine_stream_private_st::video_decoder_extra_info

Referenced by _x_post_frame_u_turn(), open_internal(), video_decoder_loop(), vo_set_img_ei(), xine_get_pos_length(), xine_get_side_stream(), and xine_stream_new().

## ◆ video_decoder_plugin

video_decoder_t* xine_stream_private_st::video_decoder_plugin

Referenced by _x_spu_decoder_sleep(), ao_loop(), ao_put_buffer(), video_decoder_loop(), wait_first_frame(), xine_get_pos_length(), and xine_stream_new().

## ◆ video_decoder_streamtype

int xine_stream_private_st::video_decoder_streamtype

Referenced by _x_get_video_streamtype(), video_decoder_loop(), and xine_stream_new().

## ◆ video_seek_count

int xine_stream_private_st::video_seek_count

Referenced by audio_decoder_loop(), video_decoder_loop(), xine_current_extra_info_get(), and xine_get_pos_length().

## ◆ video_source

xine_post_out_t xine_stream_private_st::video_source

Referenced by xine_get_video_source(), and xine_stream_new().

## ◆ video_thread

pthread_t xine_stream_private_st::video_thread

Referenced by _x_video_decoder_init(), and _x_video_decoder_shutdown().

## ◆ video_thread_created

uint32_t xine_stream_private_st::video_thread_created

Referenced by _x_demux_control_headers_done(), _x_video_decoder_init(), _x_video_decoder_shutdown(), audio_decoder_loop(), and demux_loop().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/xine_private.h